#!/bin/sh
echo 'name: stm
version: 2.4.2
id: stm-2.4.2-0f41fcf17f5bc067084394f47dbfe7cf

license: BSD3
copyright:
maintainer: libraries@haskell.org
stability:
homepage:
package-url:
synopsis: Software Transactional Memory
description: A modular composable concurrency abstraction.
             .
             Changes in version 2.4.2
             .
             * Added "Control.Concurrent.STM.TSem" (transactional semaphore)
             .
             Changes in version 2.4.1
             .
             * Added Applicative/Alternative instances of STM for GHC <7.0
             .
             Changes in version 2.4
             .
             * Added "Control.Concurrent.STM.TQueue" (a faster @TChan@)
             .
             * Added "Control.Concurrent.STM.TBQueue" (a bounded channel based on @TQueue@)
             .
             * @TChan@ has an @Eq@ instances
             .
             * Added @newBroadcastTChan@ and @newBroadcastTChanIO@
             .
             * Some performance improvements for @TChan@
             .
             * Added @cloneTChan@
category: Concurrency
author:
pkgpath: devel/hs-stm
exposed: True
exposed-modules: Control.Concurrent.STM
                 Control.Concurrent.STM.TArray Control.Concurrent.STM.TVar
                 Control.Concurrent.STM.TChan Control.Concurrent.STM.TMVar
                 Control.Concurrent.STM.TQueue Control.Concurrent.STM.TBQueue
                 Control.Concurrent.STM.TSem Control.Monad.STM
hidden-modules: Control.Sequential.STM
trusted: False
import-dirs: /usr/local/lib/ghc/stm-2.4.2
library-dirs: /usr/local/lib/ghc/stm-2.4.2
hs-libraries: HSstm-2.4.2
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: array-0.4.0.1-6380782b62ead58fec616aa07dc0e15c
         base-4.6.0.1-d435272bc8de1d17f3a0aacfbd562dbe
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-stm-2.4.2/html/stm.haddock
haddock-html: /usr/local/share/doc/hs-stm-2.4.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
